<?php
	function getUserRegion()
	{
		global $connexion;

		$requete = 'SELECT * FROM isoactif_t_usager_consult,t_arse WHERE u_id = \'' . escape_valeur($_SESSION['usagerConsultIsoActif']->u_id) . '\' AND u_region = a_id';
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
		return $ligne;
	}
	
	function getSchoolInfo($pSchoolID)
	{
		global $connexion;

		$requete = 'SELECT * FROM t_liste_ecoles_08 WHERE ID = ' . escapeValue($pSchoolID);
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
		return $ligne;
	}

	function calculerTotalPoints($pUserID,$pSecteur,$pSaison)
	{
		//echo($pUserID . '<br />' . $pSecteur . '<br />' . $pSaison);
		global $connexion;

		if (!(isset($pSaison)))
			$pSaison = '';

		if ($pSecteur == 'P')
		{
			if ($pSaison == '_2013_2014' || $pSaison == '_2014_2015')
			{
				$requete = 'SELECT fp_q1+fp_q2+fp_q3+fp_q4+fp_q5+fp_q6+fp_q7+fp_q81+fp_q82+fp_q83+fp_q9+fp_q10+fp_q11 AS totalPoints FROM isoactif_t_form_p' . $pSaison . ' WHERE fp_u_id_fk = ' . escape_valeur($pUserID);
			}
			else if ($pSaison == '_2015_2016' || $pSaison == '_2016_2017')
			{
				$requete = 'SELECT fp_q1+fp_q2+fp_q3+fp_q4+fp_q6+fp_q7+fp_q81+fp_q82+fp_q83+fp_q9+fp_q10+fp_q11 AS totalPoints FROM isoactif_t_form_p' . $pSaison . ' WHERE fp_u_id_fk = ' . escape_valeur($pUserID);
			}
			else if ($pSaison == '_2017_2018')
			{
				$requete = 'SELECT fp_q1+fp_q2+fp_q3+fp_q4+fp_q6+fp_q7+fp_q81+fp_q82+fp_q83+fp_q9+fp_q10+fp_q11 AS totalPoints FROM isoactif_t_form_p' . $pSaison . ' WHERE fp_u_id_fk = ' . escape_valeur($pUserID);
			}
			else // Saison en cours 2019-2020
			{
				$requete = 'SELECT IFNULL(fp_q1, 0) + IFNULL(fp_q2_1, 0)+IFNULL(fp_q2_2, 0)+IFNULL(fp_q3_1, 0)+IFNULL(fp_q3_2, 0)+IFNULL(fp_q4, 0)+IFNULL(fp_q5, 0)+IFNULL(fp_q6, 0)+IFNULL(fp_q7_1, 0)+IFNULL(fp_q7_2, 0)+IFNULL(fp_q8, 0)+IFNULL(fp_q9, 0)+IFNULL(fp_q10, 0) AS totalPoints FROM isoactif_form_p WHERE fp_u_id_fk = ' . escapeValue($pUserID);
			}
		}
		else // Secteur S
		{
			if ($pSaison == '_2013_2014' || $pSaison == '_2014_2015')
			{
				$requete = 'SELECT fs_q1+fs_q2+fs_q3+fs_q4+fs_q5+fs_q6+fs_q71+fs_q72+fs_q73+fs_q81+fs_q82+fs_q83+fs_q91+fs_q92+fs_q10+fs_q11 AS totalPoints FROM isoactif_t_form_s' . $pSaison . ' WHERE fs_u_id_fk = ' . escape_valeur($pUserID);
			}
			else if ($pSaison == '_2015_2016' || $pSaison == '_2016_2017')
			{
				$requete = 'SELECT fs_q1+fs_q2+fs_q3+fs_q4+fs_q6+fs_q71+fs_q72+fs_q73+fs_q81+fs_q82+fs_q83+fs_q91+fs_q92+fs_q10+fs_q11 AS totalPoints FROM isoactif_t_form_s' . $pSaison . ' WHERE fs_u_id_fk = ' . escape_valeur($pUserID);
			}
			else if ($pSaison == '_2017_2018')
			{
				$requete = 'SELECT fs_q1+fs_q2+fs_q3+fs_q4+fs_q6+fs_q71+fs_q72+fs_q73+fs_q81+fs_q82+fs_q83+fs_q91+fs_q92+fs_q10+fs_q11 AS totalPoints FROM isoactif_t_form_s' . $pSaison . ' WHERE fs_u_id_fk = ' . escape_valeur($pUserID);
			}
			else // Saison en cours 2019-2020
			{
				$requete = 'SELECT IFNULL(fs_q1, 0) + IFNULL(fs_q2, 0)+IFNULL(fs_q3_1, 0)+IFNULL(fs_q3_2, 0)+IFNULL(fs_q4, 0)+IFNULL(fs_q5, 0)+IFNULL(fs_q6_1, 0)+IFNULL(fs_q6_boni, 0)+IFNULL(fs_q6_2, 0)+IFNULL(fs_q7, 0)+IFNULL(fs_q8, 0)+IFNULL(fs_q8_boni, 0)+IFNULL(fs_q9, 0)+IFNULL(fs_q9_boni, 0)+IFNULL(fs_q10, 0) AS totalPoints FROM isoactif_form_s WHERE fs_u_id_fk = ' . escapeValue($pUserID);
			}
		}
		
		if(!$resultat = $connexion->query($requete)){ die('TotalPts There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
		$totalPoints = $ligne['totalPoints'];
		return $totalPoints;
	}

	// Générer la certification primaire selon le pourcentage
	function afficherCertificationPrimaire($pPourcentage)
	{
		$html = '';

		if ($pPourcentage <= 59)
			$html .= '<div class="circle colorParticipation"></div> (Participation)</strong>';
		else if ($pPourcentage >= 60 && $pPourcentage <= 69)
			$html .= '<div class="circle colorBronze"></div> (Bronze)</strong>';
		else if ($pPourcentage >= 70 && $pPourcentage <= 79)
			$html .= '<div class="circle colorArgent"></div> (Argent)</strong>';
		else if ($pPourcentage >= 80 && $pPourcentage <= 89)
			$html .= '<div class="circle colorOr"></div> (Or)</strong>';
		else if ($pPourcentage >= 90)
			$html .= '<div class="circle colorExcellence"></div> (Excellence)</strong>';

		return $html;
	}

	function verifierSiFormComplet($pUserID,$pSecteur,$pSaison)
	{
		global $connexion;

		if (!(isset($pSaison)))
			$pSaison = '';
			
		if ($pSaison == '_2017_2018' || $pSaison == '_2016_2017' || $pSaison == '_2015_2016' || $pSaison == '_2014_2015') {
		    if ($pSecteur == 'P')
    			$requete = 'SELECT * FROM isoactif_t_form_p' . $pSaison . ' WHERE fp_u_id_fk = ' . escape_valeur($pUserID);
    		else if ($pSecteur == 'S')
    			$requete = 'SELECT * FROM isoactif_t_form_s' . $pSaison . ' WHERE fs_u_id_fk = ' . escape_valeur($pUserID);

		}else {
    		if ($pSecteur == 'P'){
    			$requete = 'SELECT * FROM isoactif_form_p' . $pSaison . ' WHERE fp_u_id_fk = ' . escape_valeur($pUserID);
    		}
    		else if ($pSecteur == 'S'){
    			$requete = 'SELECT * FROM isoactif_form_s' . $pSaison . ' WHERE fs_u_id_fk = ' . escape_valeur($pUserID);
    		}
		}


		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();
		//echo($requete . '<br />');

		if ($pSaison != '_2017_2018' && $pSaison != '_2016_2017' && $pSaison != '_2015_2016' && $pSaison != '_2014_2015') {
    		if ($pSecteur == 'P'){
    		    if (is_null($ligne['fp_q1']) ||
            		is_null($ligne['fp_q2_1']) ||
            		is_null($ligne['fp_q2_2']) ||
            		is_null($ligne['fp_q3_1']) ||
            		is_null($ligne['fp_q3_2']) ||
            		is_null($ligne['fp_q4']) ||
            		is_null($ligne['fp_q5']) ||
            		is_null($ligne['fp_q6']) ||
            		is_null($ligne['fp_q7_1']) ||
            		is_null($ligne['fp_q7_2']) ||
            		is_null($ligne['fp_q8']) ||
            		is_null($ligne['fp_q9']) ||
            		is_null($ligne['fp_q10']))
            	{
        			return 'non';
        		} else {
        		    return 'oui';
        		}
    			
    		}
    		else if ($pSecteur == 'S') {
    		    if (is_null($ligne['fs_q1']) ||
            		is_null($ligne['fs_q2']) ||
            		is_null($ligne['fs_q3_1']) ||
            		is_null($ligne['fs_q3_2']) ||
            		is_null($ligne['fs_q4']) ||
            		is_null($ligne['fs_q5']) ||
            		is_null($ligne['fs_q6_1']) ||
            		is_null($ligne['fs_q6_2']) ||
            		is_null($ligne['fs_q7']) ||
            		is_null($ligne['fs_q8']) ||
            		is_null($ligne['fs_q9']) ||
            		is_null($ligne['fs_q10']))
            	{
    			    return 'non';
        		} else {
        			return 'oui';
        		}
    		}
		    
		} else {
		    if ($pSecteur == 'P'){
		        return $ligne['fp_complet'];
		    } else {
    			return $ligne['fs_complet'];
		    }
		}
	}
	
	function verifierSiFormVideOuInexistant1718($pUserID,$pSecteur,$pSaison)
	{
		global $connexion;
		
		
		if ($pSaison == '_2017_2018' || $pSaison == '_2016_2017' || $pSaison == '_2015_2016' || $pSaison == '_2014_2015') {
		    if ($pSecteur == 'P')
    			$requete = 'SELECT * FROM isoactif_t_form_p' . $pSaison . ' WHERE fp_u_id_fk = ' . escape_valeur($pUserID);
    		else if ($pSecteur == 'S')
    			$requete = 'SELECT * FROM isoactif_t_form_s' . $pSaison . ' WHERE fs_u_id_fk = ' . escape_valeur($pUserID);

		}else {
    		if ($pSecteur == 'P') {
    			$requete = 'SELECT * FROM isoactif_form_p' . $pSaison . ' WHERE fp_u_id_fk = ' . escape_valeur($pUserID);
    		}else if ($pSecteur == 'S')
    			$requete = 'SELECT * FROM isoactif_form_s' . $pSaison . ' WHERE fs_u_id_fk = ' . escape_valeur($pUserID);
		}

		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$nombre = $resultat->num_rows;
		$ligne = $resultat->fetch_assoc();

		if ($nombre == 0)
			return 'inexistant';
		else if ($pSecteur == 'P' &&
		is_null($ligne['fp_q1']) &&
		is_null($ligne['fp_q2_1']) &&
		is_null($ligne['fp_q2_2']) &&
		is_null($ligne['fp_q3_1']) &&
		is_null($ligne['fp_q3_2']) &&
		is_null($ligne['fp_q4']) &&
		is_null($ligne['fp_q5']) &&
		is_null($ligne['fp_q6']) &&
		is_null($ligne['fp_q7_1']) &&
		is_null($ligne['fp_q7_2']) &&
		is_null($ligne['fp_q8']) &&
		is_null($ligne['fp_q9']) &&
		is_null($ligne['fp_q10']))
		{
			return 'vide';
		}
		else if ($pSecteur == 'S' &&
		is_null($ligne['fs_q1']) &&
		is_null($ligne['fs_q2']) &&
		is_null($ligne['fs_q3_1']) &&
		is_null($ligne['fs_q3_2']) &&
		is_null($ligne['fs_q4']) &&
		is_null($ligne['fs_q5']) &&
		is_null($ligne['fs_q6_1']) &&
		is_null($ligne['fs_q6_2']) &&
		is_null($ligne['fs_q7']) &&
		is_null($ligne['fs_q8']) &&
		is_null($ligne['fs_q9']) &&
		is_null($ligne['fs_q10']))
			return 'vide';
		else
			return 'started';
	}

	function verifierSiFormVideOuInexistant($pUserID,$pSecteur,$pSaison)
	{
		global $connexion;

		if (!(isset($pSaison)))
			$pSaison = '';
			
		if ($pSaison == '_2017_2018' || $pSaison == '_2016_2017' || $pSaison == '_2015_2016' || $pSaison == '_2014_2015') {
		    if ($pSecteur == 'P')
    			$requete = 'SELECT * FROM isoactif_t_form_p' . $pSaison . ' WHERE fp_u_id_fk = ' . escape_valeur($pUserID);
    		else if ($pSecteur == 'S')
    			$requete = 'SELECT * FROM isoactif_t_form_s' . $pSaison . ' WHERE fs_u_id_fk = ' . escape_valeur($pUserID);

		}else {
    		if ($pSecteur == 'P'){
    			$requete = 'SELECT * FROM isoactif_form_p' . $pSaison . ' WHERE fp_u_id_fk = ' . escape_valeur($pUserID);
    		}else if ($pSecteur == 'S')
    			$requete = 'SELECT * FROM isoactif_form_s' . $pSaison . ' WHERE fs_u_id_fk = ' . escape_valeur($pUserID);
		}

		/*if ($pSecteur == 'P')
			$requete = 'SELECT * FROM isoactif_form_p' . $pSaison . ' WHERE fp_u_id_fk = ' . escape_valeur($pUserID);
		else if ($pSecteur == 'S')
			$requete = 'SELECT * FROM isoactif_form_s' . $pSaison . ' WHERE fs_u_id_fk = ' . escape_valeur($pUserID);*/

		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$nombre = $resultat->num_rows;
		$ligne = $resultat->fetch_assoc();

		if ($pSaison == '_2013_2014' || $pSaison == '_2014_2015')
		{
			if ($nombre == 0)
				return 'inexistant';
			else if ($pSecteur == 'P' &&
			is_null($ligne['fp_q1']) &&
			is_null($ligne['fp_q2']) &&
			is_null($ligne['fp_q3']) &&
			is_null($ligne['fp_q4']) &&
			is_null($ligne['fp_q5']) &&
			is_null($ligne['fp_q6']) &&
			is_null($ligne['fp_q7']) &&
			is_null($ligne['fp_q81']) &&
			is_null($ligne['fp_q82']) &&
			is_null($ligne['fp_q83']) &&
			is_null($ligne['fp_q9']) &&
			is_null($ligne['fp_q10']) &&
			is_null($ligne['fp_q11']))
			{
				return 'vide';
			}
			else if ($pSecteur == 'S' &&
			is_null($ligne['fs_q1']) &&
			is_null($ligne['fs_q2']) &&
			is_null($ligne['fs_q3']) &&
			is_null($ligne['fs_q4']) &&
			is_null($ligne['fs_q5']) &&
			is_null($ligne['fs_q6']) &&
			is_null($ligne['fs_q71']) &&
			is_null($ligne['fs_q72']) &&
			is_null($ligne['fs_q73']) &&
			is_null($ligne['fs_q81']) &&
			is_null($ligne['fs_q82']) &&
			is_null($ligne['fs_q83']) &&
			is_null($ligne['fs_q91']) &&
			is_null($ligne['fs_q92']) &&
			is_null($ligne['fs_q10']) &&
			is_null($ligne['fs_q11']))
				return 'vide';
			else
				return 'started';
		}
		else // 2015-2016 et 2016-2017
		{
			if ($nombre == 0)
				return 'inexistant';
			else if ($pSecteur == 'P' &&
			is_null($ligne['fp_q1']) &&
			is_null($ligne['fp_q2']) &&
			is_null($ligne['fp_q3']) &&
			is_null($ligne['fp_q4']) &&
			is_null($ligne['fp_q6']) &&
			is_null($ligne['fp_q7']) &&
			is_null($ligne['fp_q81']) &&
			is_null($ligne['fp_q82']) &&
			is_null($ligne['fp_q83']) &&
			is_null($ligne['fp_q9']) &&
			is_null($ligne['fp_q10']) &&
			is_null($ligne['fp_q11']))
			{
				return 'vide';
			}
			else if ($pSecteur == 'S' &&
			is_null($ligne['fs_q1']) &&
			is_null($ligne['fs_q2']) &&
			is_null($ligne['fs_q3']) &&
			is_null($ligne['fs_q4']) &&
			is_null($ligne['fs_q6']) &&
			is_null($ligne['fs_q71']) &&
			is_null($ligne['fs_q72']) &&
			is_null($ligne['fs_q73']) &&
			is_null($ligne['fs_q81']) &&
			is_null($ligne['fs_q82']) &&
			is_null($ligne['fs_q83']) &&
			is_null($ligne['fs_q91']) &&
			is_null($ligne['fs_q92']) &&
			is_null($ligne['fs_q10']) &&
			is_null($ligne['fs_q11']))
				return 'vide';
			else
				return 'started';
		}
	}


	// Vérifier si le 4 blocs d'un formulaire 2008-2009 primaire sont complets à partir du id de l'usager
	function verifierSi4BlocsCompletsP0809($idUsager)
	{
		global $connexion;

		$requete = 'SELECT b1_p_complet,b2_p_complet,b3_p_complet,b4_p_complet FROM t_iso_bloc_1_primaire_08,t_iso_bloc_2_primaire_08,t_iso_bloc_3_primaire_08,t_iso_bloc_4_primaire_08 WHERE b1_p_u_id_fk = \'' . $idUsager . '\' AND b2_p_u_id_fk = \'' . $idUsager . '\' AND b3_p_u_id_fk = \'' . $idUsager . '\' AND b4_p_u_id_fk = \'' . $idUsager . '\'';

		$resultat = $connexion->query($requete);
		$ligne = $resultat->fetch_assoc();

		$complet = '';

		// si tout les blocs sont complets
		if ($ligne['b1_p_complet'] == 'oui' && $ligne['b2_p_complet'] == 'oui' && $ligne['b3_p_complet'] == 'oui' && $ligne['b4_p_complet'] == 'oui')
			$complet = 'oui';
		else
			$complet = 'non';

		return $complet;
	}


	// Vérifier si le 4 blocs d'un formulaire 2008-2009 secondaire sont complets à partir du id de l'usager
	function verifierSi4BlocsCompletsS0809($idUsager)
	{
		global $connexion;

		$requete = 'SELECT b1_s_complet,b2_s_complet,b3_s_complet,b4_s_complet FROM t_iso_bloc_1_secondaire_08,t_iso_bloc_2_secondaire_08,t_iso_bloc_3_secondaire_08,t_iso_bloc_4_secondaire_08 WHERE b1_s_u_id_fk = \'' . $idUsager . '\' AND b2_s_u_id_fk = \'' . $idUsager . '\' AND b3_s_u_id_fk = \'' . $idUsager . '\' AND b4_s_u_id_fk = \'' . $idUsager . '\'';
		$resultat = $connexion->query($requete);
		$ligne = $resultat->fetch_assoc();

		$complet = '';

		// si tout les blocs sont complets
		if ($ligne['b1_s_complet'] == 'oui' && $ligne['b2_s_complet'] == 'oui' && $ligne['b3_s_complet'] == 'oui' && $ligne['b4_s_complet'] == 'oui')
			$complet = 'oui';
		else
			$complet = 'non';

		return $complet;
	}


	// Vérifier si le 4 blocs d'un formulaire 2009-2010 primaire sont complets à partir du id de l'usager
	function verifierSi4BlocsCompletsP0910($idUsager)
	{
		global $connexion;

		$requete = 'SELECT b1_p_complet,b2_p_complet,b3_p_complet,b4_p_complet FROM t_iso_bloc_1_primaire_09,t_iso_bloc_2_primaire_09,t_iso_bloc_3_primaire_09,t_iso_bloc_4_primaire_09 WHERE b1_p_u_id_fk = \'' . $idUsager . '\' AND b2_p_u_id_fk = \'' . $idUsager . '\' AND b3_p_u_id_fk = \'' . $idUsager . '\' AND b4_p_u_id_fk = \'' . $idUsager . '\'';
		$resultat = $connexion->query($requete);
		$ligne = $resultat->fetch_assoc();

		$complet = '';

		// si tout les blocs sont complets
		if ($ligne['b1_p_complet'] == 'oui' && $ligne['b2_p_complet'] == 'oui' && $ligne['b3_p_complet'] == 'oui' && $ligne['b4_p_complet'] == 'oui')
			$complet = 'oui';
		else
			$complet = 'non';

		return $complet;
	}


	// Vérifier si le 4 blocs d'un formulaire 2009-2010 secondaire sont complets à partir du id de l'usager
	function verifierSi4BlocsCompletsS0910($idUsager)
	{
		global $connexion;

		$requete = 'SELECT b1_s_complet,b2_s_complet,b3_s_complet,b4_s_complet FROM t_iso_bloc_1_secondaire_09,t_iso_bloc_2_secondaire_09,t_iso_bloc_3_secondaire_09,t_iso_bloc_4_secondaire_09 WHERE b1_s_u_id_fk = \'' . $idUsager . '\' AND b2_s_u_id_fk = \'' . $idUsager . '\' AND b3_s_u_id_fk = \'' . $idUsager . '\' AND b4_s_u_id_fk = \'' . $idUsager . '\'';
		$resultat = $connexion->query($requete);
		$ligne = $resultat->fetch_assoc();

		$complet = '';

		// si tout les blocs sont complets
		if ($ligne['b1_s_complet'] == 'oui' && $ligne['b2_s_complet'] == 'oui' && $ligne['b3_s_complet'] == 'oui' && $ligne['b4_s_complet'] == 'oui')
			$complet = 'oui';
		else
			$complet = 'non';

		return $complet;
	}


	// Vérifier si le 4 blocs d'un formulaire primaire sont complets à partir du id de l'usager
	function verifierSi4BlocsCompletsP1011($idUsager)
	{
		global $connexion;

		$requete = 'SELECT b1_p_complet,b2_p_complet,b3_p_complet,b4_p_complet FROM t_iso_bloc_1_primaire_10,t_iso_bloc_2_primaire_10,t_iso_bloc_3_primaire_10,t_iso_bloc_4_primaire_10 WHERE b1_p_u_id_fk = \'' . $idUsager . '\' AND b2_p_u_id_fk = \'' . $idUsager . '\' AND b3_p_u_id_fk = \'' . $idUsager . '\' AND b4_p_u_id_fk = \'' . $idUsager . '\'';
		$resultat = $connexion->query($requete);
		$ligne = $resultat->fetch_assoc();

		$complet = '';

		// si tout les blocs sont complets
		if ($ligne['b1_p_complet'] == 'oui' && $ligne['b2_p_complet'] == 'oui' && $ligne['b3_p_complet'] == 'oui' && $ligne['b4_p_complet'] == 'oui')
			$complet = 'oui';
		else
			$complet = 'non';

		return $complet;
	}


	// Vérifier si le 4 blocs d'un formulaire secondaire sont complets à partir du id de l'usager
	function verifierSi4BlocsCompletsS1011($idUsager)
	{
		global $connexion;

		$requete = 'SELECT b1_s_complet,b2_s_complet,b3_s_complet,b4_s_complet FROM t_iso_bloc_1_secondaire_10,t_iso_bloc_2_secondaire_10,t_iso_bloc_3_secondaire_10,t_iso_bloc_4_secondaire_10 WHERE b1_s_u_id_fk = \'' . $idUsager . '\' AND b2_s_u_id_fk = \'' . $idUsager . '\' AND b3_s_u_id_fk = \'' . $idUsager . '\' AND b4_s_u_id_fk = \'' . $idUsager . '\'';
		$resultat = $connexion->query($requete);
		$ligne = $resultat->fetch_assoc();

		$complet = '';

		// si tout les blocs sont complets
		if ($ligne['b1_s_complet'] == 'oui' && $ligne['b2_s_complet'] == 'oui' && $ligne['b3_s_complet'] == 'oui' && $ligne['b4_s_complet'] == 'oui')
			$complet = 'oui';
		else
			$complet = 'non';

		return $complet;
	}


	// Vérifier si le 4 blocs d'un formulaire primaire sont complets à partir du id de l'usager
	function verifierSi4BlocsCompletsP1112($idUsager)
	{
		global $connexion;

		$requete = 'SELECT b1_p_complet,b2_p_complet,b3_p_complet,b4_p_complet FROM t_iso_bloc_1_primaire_11,t_iso_bloc_2_primaire_11,t_iso_bloc_3_primaire_11,t_iso_bloc_4_primaire_11 WHERE b1_p_u_id_fk = \'' . $idUsager . '\' AND b2_p_u_id_fk = \'' . $idUsager . '\' AND b3_p_u_id_fk = \'' . $idUsager . '\' AND b4_p_u_id_fk = \'' . $idUsager . '\'';
		$resultat = $connexion->query($requete);
		$ligne = $resultat->fetch_assoc();

		$complet = '';

		// si tout les blocs sont complets
		if ($ligne['b1_p_complet'] == 'oui' && $ligne['b2_p_complet'] == 'oui' && $ligne['b3_p_complet'] == 'oui' && $ligne['b4_p_complet'] == 'oui')
			$complet = 'oui';
		else
			$complet = 'non';

		return $complet;
	}


	// Vérifier si le 4 blocs d'un formulaire secondaire sont complets à partir du id de l'usager
	function verifierSi4BlocsCompletsS1112($idUsager)
	{
		global $connexion;

		$requete = 'SELECT b1_s_complet,b2_s_complet,b3_s_complet,b4_s_complet FROM t_iso_bloc_1_secondaire_11,t_iso_bloc_2_secondaire_11,t_iso_bloc_3_secondaire_11,t_iso_bloc_4_secondaire_11 WHERE b1_s_u_id_fk = \'' . $idUsager . '\' AND b2_s_u_id_fk = \'' . $idUsager . '\' AND b3_s_u_id_fk = \'' . $idUsager . '\' AND b4_s_u_id_fk = \'' . $idUsager . '\'';
		$resultat = $connexion->query($requete);
		$ligne = $resultat->fetch_assoc();

		$complet = '';

		// si tout les blocs sont complets
		if ($ligne['b1_s_complet'] == 'oui' && $ligne['b2_s_complet'] == 'oui' && $ligne['b3_s_complet'] == 'oui' && $ligne['b4_s_complet'] == 'oui')
			$complet = 'oui';
		else
			$complet = 'non';

		return $complet;
	}


	// Vérifier si le 4 blocs d'un formulaire primaire sont complets à partir du id de l'usager
	function verifierSi4BlocsCompletsP1213($idUsager)
	{
		global $connexion;

		$requete = 'SELECT b1_p_complet,b2_p_complet,b3_p_complet,b4_p_complet FROM t_iso_bloc_1_primaire,t_iso_bloc_2_primaire,t_iso_bloc_3_primaire,t_iso_bloc_4_primaire WHERE b1_p_u_id_fk = \'' . $idUsager . '\' AND b2_p_u_id_fk = \'' . $idUsager . '\' AND b3_p_u_id_fk = \'' . $idUsager . '\' AND b4_p_u_id_fk = \'' . $idUsager . '\'';

		$resultat = $connexion->query($requete);
		$ligne = $resultat->fetch_assoc();

		$complet = '';

		// si tout les blocs sont complets
		if ($ligne['b1_p_complet'] == 'oui' && $ligne['b2_p_complet'] == 'oui' && $ligne['b3_p_complet'] == 'oui' && $ligne['b4_p_complet'] == 'oui')
			$complet = 'oui';
		else
			$complet = 'non';

		return $complet;
	}


	// Vérifier si le 4 blocs d'un formulaire secondaire sont complets à partir du id de l'usager
	function verifierSi4BlocsCompletsS1213($idUsager)
	{
		global $connexion;

		$requete = 'SELECT b1_s_complet,b2_s_complet,b3_s_complet,b4_s_complet FROM t_iso_bloc_1_secondaire,t_iso_bloc_2_secondaire,t_iso_bloc_3_secondaire,t_iso_bloc_4_secondaire WHERE b1_s_u_id_fk = \'' . $idUsager . '\' AND b2_s_u_id_fk = \'' . $idUsager . '\' AND b3_s_u_id_fk = \'' . $idUsager . '\' AND b4_s_u_id_fk = \'' . $idUsager . '\'';
		$resultat = $connexion->query($requete);
		$ligne = $resultat->fetch_assoc();

		$complet = '';

		// si tout les blocs sont complets
		if ($ligne['b1_s_complet'] == 'oui' && $ligne['b2_s_complet'] == 'oui' && $ligne['b3_s_complet'] == 'oui' && $ligne['b4_s_complet'] == 'oui')
			$complet = 'oui';
		else
			$complet = 'non';

		return $complet;
	}
?>
